Page MenuHomePhabricator

[NFC] Move InPQueue into normal argument in releaseNode
ClosedPublic

Authored by qiucf on Jan 2 2020, 6:51 PM.

Details

Summary

D72069 has been committed quickly to remove build block. But as discussed in the revision, directly put InPQueue into function arguments of releaseNode is a quite cleaner approach.

Diff Detail

Event Timeline

qiucf created this revision.Jan 2 2020, 6:51 PM

Unit tests: pass. 61172 tests passed, 0 failed and 729 were skipped.

clang-tidy: pass.

clang-format: pass.

Build artifacts: diff.json, clang-tidy.txt, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

DoktorC added inline comments.Jan 2 2020, 11:33 PM
llvm/include/llvm/CodeGen/MachineScheduler.h
967

Would it be worth to add a /*InPQueue=*/ comment next to the new argument?

fhahn accepted this revision.Jan 5 2020, 7:08 AM

LGTM, but it would be great to document the releaseNode function, including the parameters :)

llvm/include/llvm/CodeGen/MachineScheduler.h
760–769

It would be great if you could add a brief doc comment here, stating what the arguments mean.

967

IIRC the comments are only used for arguments with default values. I don't think it is necessary here.

This revision is now accepted and ready to land.Jan 5 2020, 7:08 AM
lkail accepted this revision.Jan 6 2020, 9:40 PM

LGTM.

This revision was automatically updated to reflect the committed changes.